Package org.eclipse.draw2d.text

# Class FlowPage

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.text.FlowFigure
org.eclipse.draw2d.text.BlockFlow
org.eclipse.draw2d.text.FlowPage

All Implemented Interfaces:
  `IFigure`

public class FlowPage extends BlockFlow
The root of a Flow hierarchy. A flow page can be treated as a normal figure, but contains FlowFigures.

A FlowPage will not have a defined width unless it is inside a figure whose layout provides width hints when calling `IFigure.getPreferredSize(int, int)`.

WARNING: This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch, Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.text.FlowFigure

`selectionStart`

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`FlowPage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addNotify()`
Called after the receiver's parent has been set and it has been added to its parent.
`protected FlowFigureLayout`
`createDefaultFlowLayout()`
Creates the default layout manager
`Dimension`
`getMinimumSize(int w, int h)`
Returns a hint indicating the smallest desireable size for the IFigure.
`Dimension`
`getPreferredSize(int width, int h)`
Returns the preferred size for this IFigure using the provided width and height hints.
`void`
`invalidate()`
Invalidates this IFigure.
`void`
`postValidate()`
Called after validate has occurred.
`void`
`removeNotify()`
Overridden to set valid.
`void`
`setBounds(Rectangle r)`
FlowFigures override setBounds() to prevent translation of children.
`void`
`validate()`
Re-evaluate the Bidi state of all the fragments if it has been invalidated.

### Methods inherited from class org.eclipse.draw2d.text.BlockFlow

`contributeBidi, getBlockBox, getHorizontalAligment, getLocalHorizontalAlignment, getLocalOrientation, getOrientation, paintBorder, revalidate, revalidateBidi, setHorizontalAligment, setOrientation, useLocalCoordinates`

### Methods inherited from class org.eclipse.draw2d.text.FlowFigure

`add, addLeadingWordRequirements, remove, setBidiInfo, setFlowContext, setSelection`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, intersects, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintChildren, paintClientArea, paintFigure, primTranslate, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, setBackgroundColor, setBorder, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useDoublePrecision`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlowPage

public FlowPage()

## Method Details

### addNotify

public void addNotify()
Description copied from class: `Figure`
Called after the receiver's parent has been set and it has been added to its parent.

Specified by:
  `addNotify` in interface `IFigure`
Overrides:
  `addNotify` in class `Figure`
See Also:
  - `Figure.addNotify()`

### createDefaultFlowLayout

protected FlowFigureLayout createDefaultFlowLayout()
Description copied from class: `FlowFigure`
Creates the default layout manager

Overrides:
  `createDefaultFlowLayout` in class `BlockFlow`
Returns:
  The default layout
See Also:
  - `BlockFlow.createDefaultFlowLayout()`

### getMinimumSize

public Dimension getMinimumSize(int w, int h)
Description copied from interface: `IFigure`
Returns a hint indicating the smallest desireable size for the IFigure. The returned dimension may be by reference, and it must not be modified by the caller.

Specified by:
  `getMinimumSize` in interface `IFigure`
Overrides:
  `getMinimumSize` in class `Figure`
Parameters:
  `w` - the width hint
  `h` - the height hint
Returns:
  The minimum size
See Also:
  - `Figure.getMinimumSize(int, int)`

### invalidate

public void invalidate()
Description copied from interface: `IFigure`
Invalidates this IFigure. If this figure has a LayoutManager, then `LayoutManager.invalidate()` should be called on that layout.

Specified by:
  `invalidate` in interface `IFigure`
Overrides:
  `invalidate` in class `Figure`
See Also:
  - `Figure.invalidate()`

### getPreferredSize

public Dimension getPreferredSize(int width, int h)
Description copied from interface: `IFigure`
Returns the preferred size for this IFigure using the provided width and height hints. The returned dimension may be by reference, and it must not be modified by the caller. A value of `-1` indicates that there is no constraint in that direction.

Specified by:
  `getPreferredSize` in interface `IFigure`
Overrides:
  `getPreferredSize` in class `Figure`
Parameters:
  `width` - a width hint
  `h` - a height hint
Returns:
  The preferred size
See Also:
  - `Figure.getPreferredSize(int, int)`

### postValidate

public void postValidate()
Description copied from class: `FlowFigure`
Called after validate has occurred. This is used to update the bounds of the FlowFigure to encompass its new flow boxed created during validate.

Overrides:
  `postValidate` in class `BlockFlow`
See Also:
  - `BlockFlow.postValidate()`

### removeNotify

public void removeNotify()
Overridden to set valid.

Specified by:
  `removeNotify` in interface `IFigure`
Overrides:
  `removeNotify` in class `Figure`
See Also:
  - `IFigure.removeNotify()`

### setBounds

public void setBounds(Rectangle r)
Description copied from class: `FlowFigure`
FlowFigures override setBounds() to prevent translation of children. "bounds" is a derived property for FlowFigures, calculated from the fragments that make up the FlowFigure.

Specified by:
  `setBounds` in interface `IFigure`
Overrides:
  `setBounds` in class `FlowFigure`
Parameters:
  `r` - The new bounds
See Also:
  - `FlowFigure.setBounds(Rectangle)`

### validate

public void validate()
Description copied from class: `BlockFlow`
Re-evaluate the Bidi state of all the fragments if it has been invalidated.

Specified by:
  `validate` in interface `IFigure`
Overrides:
  `validate` in class `BlockFlow`
See Also:
  - `Figure.validate()`